/*  MaViLla: Marcador y Visualizador de Llamadas
 *
 *  Copyright (C) 2011  Area de Servicios Telematicos
 *			CSIRC
 *			Universidad de Granada
 *			telematica@ugr.es
 *  
 *  Version: 1.0
 *  Last Modified: 13 Abril 2010
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef LLAMADA_SALIENTE_H
#define LLAMADA_SALIENTE_H

#include <QDialog>

namespace Ui {
    class Llamada_saliente;
}

class Llamada_saliente : public QDialog
{
    Q_OBJECT

public:

    /**
    @brief Constructor por defecto
    @param parent widget Padre
    */
    explicit Llamada_saliente(QWidget *parent = 0);

    /**
    @brief Destructor por defecto

    Libera la memoria reservada
    */
    ~Llamada_saliente();

    /**
    @brief Cambia el texto central del dialogo
    @param s Cadena de texto a poner

    Muestra un mensaje, en este caso con informacion de la llamada realizada, en un pequeo dialogo
    donde se mostrara el contenido de la variable s.
    */
    void setText(QString s);

private:
    Ui::Llamada_saliente *ui;
};

#endif // LLAMADA_SALIENTE_H
